<script lang="ts">
export default {
  name: 'JThemeIcon',
  props: {
    theme: {
      type: String,
      default: 'blue',
    },
  },
};
</script>

<template>
  <svg width="80" height="80" viewBox="0 0 80 80" class="j-theme-icon" :class="theme">
    <path
      d="M77.87 0C79.05 0 80 .95 80 2.13v75.74c0 1.17-.95 2.13-2.13 2.13H2.13C.96 80 0 79.04 0 77.87V2.13C0 .95.96 0 2.13 0h75.74z"
      fill="currentColor"
      class="secondary"
    ></path>
    <path
      d="M54 40c3.32 0 6 2.69 6 6 0 1.2 0-1.2 0 0 0 3.31-2.68 6-6 6H26c-3.31 0-6-2.69-6-6 0-1.2 0 1.2 0 0 0-3.31 2.69-6 6-6h28z"
      fill="currentColor"
      class="primary"
    ></path>
    <path d="M0 0h80v17.24H0V0z" fill="currentColor" class="primary"></path>
  </svg>
</template>

<style scoped lang="scss">
.j-theme-icon {
  border: 1px #c4c6d0 solid;
  border-radius: 4px;
}

// TODO: подумать как вынести в css переменные
.purple {
  .primary {
    fill: rgb(103, 58, 183);
  }

  .secondary {
    fill: rgba(103, 58, 183, 0.1);
  }
}

.blue {
  .primary {
    fill: rgb(0, 92, 187);
  }

  .secondary {
    fill: rgba(0, 92, 187, 0.1);
  }
}
</style>
